Skip to main content
GET
Retrieves a specific operation

Authorizations

Authorization
string
header
required

Access token obtained from the /oauth/token endpoint using your client credentials.

Path Parameters

clientReference
string
required

Your company's unique reference for the operation (the same client reference used on the corresponding nomination).

Response

OK

A bunkering operation, including its bunker delivery notes and references to its documents.

status
enum<string>
required

Current status of the operation.

Possible values:

  • created — Operation has been created but not yet started.
  • started — Operation has been started.
  • initiating — Operation is in the initiation phase.
  • ongoing — Operation is actively in progress.
  • finalising — Operation is being finalized.
  • ended — Operation has been completed.
  • archived — Operation has been archived.
Available options:
created,
started,
initiating,
ongoing,
finalising,
ended,
archived
clientReference
string
required

Your company's unique reference for the operation (the same client reference used on the corresponding nomination).

operationStandardCode
string
required

Operation standard code (from Get Operation Standards).

bunkeringLocationCode
string
required

UN/LOCODE of the bunkering location.

supplier
object
required

Supplier details for the operation.

receiver
object
required

Receiver details for the operation.

bunkerDeliveryNotes
object[]
required

Bunker delivery notes issued for the operation.

Bunker delivery note (BDN) issued for a bunkering operation. The bunkerType discriminator field determines which variant is returned.

documentReferences
object[]
required

References to the operation's documents, retrievable via Get Operational Document.

bunkeringLocationName
null | string

Human-readable name of the bunkering location.

portBunkeringLocationCode
null | string

UN/LOCODE of the specific port location.